/* NAVBAR */

.navbar{
    position:fixed;
    top:0;
    width:100%;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:20px 8%;
    z-index:1000;
    background:rgba(15,23,42,0.8);
    backdrop-filter:blur(10px);
}

.logo{
    font-size:1.5rem;
    font-weight:700;
}

.nav-links{
    display:flex;
    list-style:none;
    gap:30px;
}

.nav-links a{
    color:white;
    transition:.3s;
}

.nav-links a:hover{
    color:var(--secondary);
}

#watchTrailer{
    margin-top:30px;
    padding:15px 40px;
    border:none;
    border-radius:50px;
    background:linear-gradient(135deg,#EC4899,#6D28D9);
    color:white;
    cursor:pointer;
    font-weight:500;
    transition:0.3s;
}

#watchTrailer:hover{
    transform:translateY(-3px);
    box-shadow:0 10px 30px rgba(236,72,153,0.25);
}


/* HERO */

.hero{
    min-height:100vh;

    background:
    linear-gradient(
    rgba(0,0,0,0.6),
    rgba(15,23,42,0.95)
    ),
    url("../assets/images/banners/hero.jpg");

    background-size:cover;
    background-position:center;

    display:flex;
    align-items:center;
    justify-content:center;
    overflow:hidden;
    text-align:center;
    padding:0 10%;
}

.hero-content h1{
    font-size:4.5rem;
    line-height:1.1;
    margin-bottom:20px;
}

.hero-content{
    position:relative;
    z-index:1;
}

.hero-content p{
    font-size:1.2rem;
    color:#CBD5E1;
    max-width:700px;
    margin:auto;
}

.hero-buttons{
    margin-top:30px;
}

.hero::before{

    content:"";

    position:absolute;

    width:600px;
    height:600px;

    background:rgba(236,72,153,0.15);

    border-radius:50%;

    filter:blur(120px);
    z-index:0;
    top:50%;
    left:50%;

    transform:
    translate(-50%,-50%);
}

.hero{
    position:relative;
    overflow:hidden;
}

.btn-primary,
.btn-secondary{
    padding:14px 30px;
    border-radius:50px;
    display:inline-block;
    margin:10px;
    transition:.3s;
}

.btn-primary{
    background:var(--secondary);
    color:white;
}

.btn-secondary{
    border:2px solid white;
    color:white;
}

.btn-primary:hover,
.btn-secondary:hover{
    transform:translateY(-3px);
}

/* ABOUT */

.about{
    padding:120px 10%;
    text-align:center;
}

.about p{
    max-width:900px;
    margin:auto;
    color:#CBD5E1;
    line-height:1.8;
}

/* STATS */

.stats{
    padding:80px 10%;
    display:flex;
    align-items:center;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
}

.stats-header h2{
color: #ffffff;
font-size: 2rem;
margin-bottom: 2rem;
max-width: 800px;
}

.stats-grid {
display: flex;
flex-wrap: wrap;
justify-content: center;
gap: 20px;
width:100%;
}

.counter {
font-variable-numeric: tabular-nums;
}

.about-content p{
    margin-bottom:20px;
    line-height:1.8;
}

.event-link{
    text-decoration:none;
    color:inherit;
}

.stat-card{

    background:
    rgba(255,255,255,0.05);
    width:200px;
    backdrop-filter:
    blur(12px);
    box-sizing:border-box;
    border:
    1px solid rgba(255,255,255,0.1);
    text-align:center;
    padding:35px;

    border-radius:20px;

    transition:0.3s;
}

.stat-card h2{
    color:var(--secondary);
    font-size:3rem;
}

.stat-card:hover{

    transform:
    translateY(-8px);

    border-color:#EC4899;
}

.stats-left-layout {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 50px;
    max-width: 1100px;
    margin: 0 auto;
    padding: 60px 40px;
    box-sizing: border-box;
}

.stats-left-layout .stats-header {
    text-align: left;
    flex: 1; }

.stats-left-layout .stats-grid {
    flex: 2;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.stats-left-layout .stats-header h2 {
    line-height:1.4;
}

.founder-section{

display:grid;
grid-template-columns:1fr 2fr;
gap:60px;
align-items:center;
padding:100px 10%;

}

.founder-image img{

width:100%;
border-radius:20px;

}

.founder-content{

display:flex;
flex-direction:column;
justify-content:center;

}

.stat-card h3{
    font-size:2rem;
    color:#EC4899;
}

.hidden{

    opacity:0;

    transform:translateY(50px);

    transition:all .8s ease;
}

.show{

    opacity:1;

    transform:translateY(0);
}

/* EVENTS */

.featured-events{
    padding:120px 10%;
}

.event-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;
    padding:80px 10%;
}

.event-card{

    position:relative;

    overflow:hidden;

    border-radius:18px;
    transition:0.3s;
    cursor:pointer;
}

.event-card img{

    height:300px;
    width:100%;
    object-fit:cover;

    transition:.5s;
}

.event-card:hover{
    transform:scale(1.08);
}

.event-info{
    padding:20px;
}

.event-card::before{

    content:"▶";

    position:absolute;

    top:50%;
    left:50%;

    transform:
    translate(-50%,-50%);

    font-size:4rem;

    opacity:0;

    z-index:2;

    transition:.4s;
}

.event-card::after{

    content:"";

    position:absolute;

    inset:0;

    background:
    rgba(0,0,0,0.6);

    opacity:0;

    transition:.4s;
}

.event-card:hover::before{

    opacity:1;
}

.event-card:hover::after{

    opacity:1;
}

.event-card:hover img{

    transform:scale(1.1);
}

.event-overlay{
    position:absolute;
    bottom:0;
    width:100%;
    padding:20px;
    background:linear-gradient(transparent,rgba(0,0,0,0.9));
}

.hamburger{
    display:none;
    flex-direction:column;
    gap:5px;
    cursor:pointer;
}

.hamburger span{
    width:25px;
    height:3px;
    background:white;
    border-radius:10px;
}

/* FOOTER */

footer{
    padding:60px 10%;
    text-align:center;
    background:#020617;
}

footer p{
    color:#94A3B8;
    margin-top:10px;
}

.event-slider{

    display:flex;

    gap:30px;

    overflow-x:auto;

    scroll-snap-type:x mandatory;

    padding:30px;

    scrollbar-width:none;

}

.event-slider::-webkit-scrollbar{

    display:none;

}

.event-slider .event-card{

    min-width:350px;

    scroll-snap-align:center;

}

.read-more-btn{

padding:12px 30px;
border:none;
border-radius:50px;
background:#EC4899;
color:white;
cursor:pointer;
margin-top:20px;

}

.modal{

display:none;
position:fixed;
z-index:5000;
left:0;
top:0;
width:100%;
height:100%;
background:rgba(0,0,0,.7);

}

.modal-content{

background:#0F172A;
margin:5% auto;
padding:35px;
width:90%;
max-width:700px;
border-radius:20px;
color:white;
max-height:80vh;
overflow-y:auto;

}

.close{

float:right;
font-size:35px;
cursor:pointer;

}

/* MOBILE */

@media(max-width:900px){

    .hamburger{
        display:flex;
    }

    .nav-links{

        position:absolute;
        top:80px;
        right:-100%;

        width:250px;

        background:#1E293B;

        flex-direction:column;

        padding:30px;

        transition:.4s;
    }

    .nav-links.active{
        right:0;
    }

    .stats{
        grid-template-columns:2fr 1fr;
    }

    .event-grid{
        grid-template-columns:repeat(2,1fr);
    }

    .hero-content h1{
        font-size:2.5rem;
    }

    .stats-left-layout{

display:block;

text-align:center;

padding:40px 20px;

}

.stats-grid{

    display:flex;

    flex-wrap:wrap;

    justify-content:center;

    gap:35px;

}

.event-grid{

grid-template-columns:1fr;

padding:30px;

}

.hero-content h1{

font-size:2.2rem;

}

.hero-content p{

font-size:15px;

}

.founder-section{

display:block;
text-align:center;

}

.founder-image{

margin-bottom:30px;

}

}